org.keycloak.dom.saml.v2.protocol

## Class AuthzDecisionQueryType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonRequestAbstractType
  - - org.keycloak.dom.saml.v2.protocol.RequestAbstractType
    - - org.keycloak.dom.saml.v2.protocol.SubjectQueryAbstractType
      - - org.keycloak.dom.saml.v2.protocol.AuthzDecisionQueryType

- All Implemented Interfaces:
    Serializable, SAML2Object

      public class AuthzDecisionQueryType
      extends SubjectQueryAbstractType

  Java class for AuthzDecisionQueryType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthzDecisionQueryType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}SubjectQueryAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Action" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Evidence" minOccurs="0"/>
             </sequence>
             <attribute name="Resource" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ActionType>` | `action`
    `protected EvidenceType` | `evidence`
    `protected URI` | `resource`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.SubjectQueryAbstractType

      `subject`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `consent, destination, extensions, issuer, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `id, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthzDecisionQueryType(String id, XMLGregorianCalendar instant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAction(ActionType act)` Add an action
    `List<ActionType>` | `getAction()` Gets the value of the action property.
    `EvidenceType` | `getEvidence()` Gets the value of the evidence property.
    `URI` | `getResource()` Gets the value of the resource property.
    `void` | `removeAction(ActionType act)` Remove an action
    `void` | `setEvidence(EvidenceType value)` Sets the value of the evidence property.
    `void` | `setResource(URI value)` Sets the value of the resource property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.SubjectQueryAbstractType

      `getSubject, setSubject`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getIssuer, getVersion, setConsent, setDestination, setExtensions, setIssuer`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `getID, getIssueInstant, getSignature, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### action

          protected List<ActionType> action

    - #### evidence

          protected EvidenceType evidence

    - #### resource

          protected URI resource

  - ### Constructor Detail

    - #### AuthzDecisionQueryType

          public AuthzDecisionQueryType(String id,
                                        XMLGregorianCalendar instant)

  - ### Method Detail

    - #### addAction

          public void addAction(ActionType act)

      Add an action
      Parameters:
        `act` -

    - #### removeAction

          public void removeAction(ActionType act)

      Remove an action
      Parameters:
        `act` -

    - #### getAction

          public List<ActionType> getAction()

      Gets the value of the action property.

    - #### getEvidence

          public EvidenceType getEvidence()

      Gets the value of the evidence property.
      Returns:
        possible object is `EvidenceType`

    - #### setEvidence

          public void setEvidence(EvidenceType value)

      Sets the value of the evidence property.
      Parameters:
        `value` - allowed object is `EvidenceType`

    - #### getResource

          public URI getResource()

      Gets the value of the resource property.
      Returns:
        possible object is `String`

    - #### setResource

          public void setResource(URI value)

      Sets the value of the resource property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.